---
title: Remove a list of domains from Cyber Shield Allow List.
canonical: https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-3/cyber-shield-domain-filtering/remove-a-list-of-domains-from-cyber-shield-allow-list/
product: CloudConnexa Docs
---

# Remove a list of domains from Cyber Shield Allow List.

`POST /api/v1/cybershield/allow-list-remove-domains`

An endpoint to remove domains from the Cyber Shield Allow List.

**Example Request:**

```
POST /api/v1/cybershield/allow-list-remove-domains
```

```json
{
    "domains": [
        "sample.domain.com"
    ]
}
```

This request removes the existing entry for the domain `sample.domain.com` from the Cyber Shield Allow List. - Only the line with the specified domain is removed. - Other entries in the Allow List remain unchanged.

**Parameters:**

- `domains` (Type: List, Mandatory) - A list of fully qualified domain names (FQDN) to be removed.
  - Each domain must be unique within the list.

## Body parameter

```json
{
  "domains": [
    "string"
  ]
}
```

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| body | body | [RemoveDomainsRequest](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-3/schemas/removedomainsrequest.md) | true | none |
| » domains | body | \[string\] | false | none |

## Responses

| Status | Meaning | Description | Schema |
| --- | --- | --- | --- |
| 200 | [OK](https://tools.ietf.org/html/rfc7231#section-6.3.1) | OK | None |
| 400 | [Bad Request](https://tools.ietf.org/html/rfc7231#section-6.5.1) | Bad Request | [ErrorResponse](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-3/schemas/errorresponse.md) |
| 401 | [Unauthorized](https://tools.ietf.org/html/rfc7235#section-3.1) | Unauthorized | None |
| 429 | [Too Many Requests](https://tools.ietf.org/html/rfc6585#section-4) | Too Many Requests | None |
| 500 | [Internal Server Error](https://tools.ietf.org/html/rfc7231#section-6.6.1) | Internal Server Error | [ErrorResponse](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-3/schemas/errorresponse.md) |

```json
{
  "errorDetails": {
    "property1": [
      {}
    ],
    "property2": [
      {}
    ]
  },
  "errorMessage": "string",
  "statusError": "string"
}
```

## Response Schema

To perform this operation, you must be authenticated by means of one of the following methods: oauth

---

Prev: [Extend a list of domains in Cyber Shield Block List.](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-3/cyber-shield-domain-filtering/extend-a-list-of-domains-in-cyber-shield-block-list.md)
Next: [Extend a list of domains in Cyber Shield Allow List.](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-3/cyber-shield-domain-filtering/extend-a-list-of-domains-in-cyber-shield-allow-list.md)
Index: https://openvpn.net/cloud-docs/llms.txt
